## MgGraphviz

MgGraphviz — Creates .dot files which can then be processed with GraphViz.

## Synopsis

    struct      MgGraphviz;
    guint       mg_graphviz_get_type            (void);
    GObject*    mg_graphviz_new                 (MgConf *conf);
    void        mg_graphviz_add_to_graph        (MgGraphviz *graph,
                                                 GObject *obj);
    gboolean    mg_graphviz_save_file           (MgGraphviz *graph,
                                                 const gchar *filename,
                                                 GError **error);

## Object Hierarchy

      GObject
       +----MgBase
             +----MgGraphviz

## Properties

      "prop"                 gpointer             : Read / Write

## Description

An object os this class will be able to produce .dot files representing a graphical view of one or more query internals. The .dot file can be processed with the GraphViz tool (http://www.graphviz.org/).

## Details

### struct MgGraphviz

    struct MgGraphviz;

### mg_graphviz_get_type ()

    guint       mg_graphviz_get_type            (void);

Returns : |

### mg_graphviz_new ()

    GObject*    mg_graphviz_new                 (MgConf *conf);

Creates a new MgGraphviz object

`conf` : | a MgConf object
Returns : | the new object

### mg_graphviz_add_to_graph ()

    void        mg_graphviz_add_to_graph        (MgGraphviz *graph,
                                                 GObject *obj);

Adds `obj` to be graphed by `graph`

`graph` : | a MgGraphviz object
`obj` : | a GObject object to be graphed

### mg_graphviz_save_file ()

    gboolean    mg_graphviz_save_file           (MgGraphviz *graph,
                                                 const gchar *filename,
                                                 GError **error);

Saves a dot representation of the `graph` object to `filename`

`graph` : | a MgGraphviz object
`filename` : |
`error` : |
Returns : | TRUE if no error occurred

## Properties

"`prop`" (gpointer : Read / Write) |